Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath
Class XObject

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.XObject

Direct Known Subclasses:
  XBoolean, XNodeSet, XNull, XNumber, XRTreeFrag, XString

Deprecated. This compatibility layer will be removed in later releases.

public class XObject
extends java.lang.Object
implements java.io.Serializable

This class represents an XPath object, and is capable of converting the object to various types, such as a string. This class acts as the base class to other XPath type objects, such as XString, and provides polymorphic casting capabilities.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`XObject()` Deprecated. Create an XObject.
`XObject(java.lang.Object obj)` Deprecated. Create an XObject.

Method Summary
`boolean` | `bool()` Deprecated. Cast result object to a boolean.
`java.lang.Object` | `castToType(int t, XPathSupport support)` Deprecated. Cast object to type t.
`boolean` | `equals(XObject obj2)` Deprecated. Tell if two objects are functionally equal.
`protected void` | `error(int msg)` Deprecated. Tell the user of an error, and probably throw an exception.
`protected void` | `error(int msg, java.lang.Object[] args)` Deprecated. Tell the user of an error, and probably throw an exception.
`int` | `getType()` Deprecated. Tell what kind of class this is.
`protected java.lang.String` | `getTypeString()` Deprecated. Given a request type, return the equivalent string.
`boolean` | `greaterThan(XObject obj2)` Deprecated. Tell if one object is less than the other.
`boolean` | `greaterThanOrEqual(XObject obj2)` Deprecated. Tell if one object is less than the other.
`boolean` | `lessThan(XObject obj2)` Deprecated. Tell if one object is less than the other.
`boolean` | `lessThanOrEqual(XObject obj2)` Deprecated. Tell if one object is less than or equal to the other.
`org.w3c.dom.NodeList` | `mutableNodeset()` Deprecated. Cast result object to a nodelist.
`org.w3c.dom.NodeList` | `nodeset()` Deprecated. Cast result object to a nodelist.
`boolean` | `notEquals(XObject obj2)` Deprecated. Tell if two objects are functionally not equal.
`double` | `num()` Deprecated. Cast result object to a number.
`java.lang.Object` | `object()` Deprecated. Return a java object that's closes to the represenation that should be handed to an extension.
`org.w3c.dom.DocumentFragment` | `rtree()` Deprecated. For functions to override.
`org.w3c.dom.DocumentFragment` | `rtree(XPathSupport support)` Deprecated. Cast result object to a result tree fragment.
`java.lang.String` | `str()` Deprecated. Cast result object to a string.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XObject

    public XObject()

  Deprecated.
  Create an XObject.

### XObject

    public XObject(java.lang.Object obj)

  Deprecated.
  Create an XObject.

Method Detail

### getType

    public int getType()

  Deprecated.
  Tell what kind of class this is.

### getTypeString

    protected java.lang.String getTypeString()

  Deprecated.
  Given a request type, return the equivalent string. For diagnostic purposes.

### num

    public double num()
               throws org.xml.sax.SAXException,
                      javax.xml.transform.TransformerException

  Deprecated.
  Cast result object to a number.

### bool

    public boolean bool()
                 throws org.xml.sax.SAXException,
                        javax.xml.transform.TransformerException

  Deprecated.
  Cast result object to a boolean.

### str

    public java.lang.String str()

  Deprecated.
  Cast result object to a string.

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

### rtree

    public org.w3c.dom.DocumentFragment rtree(XPathSupport support)

  Deprecated.
  Cast result object to a result tree fragment.

### rtree

    public org.w3c.dom.DocumentFragment rtree()

  Deprecated.
  For functions to override.

### object

    public java.lang.Object object()

  Deprecated.
  Return a java object that's closes to the represenation that should be handed to an extension.

### nodeset

    public org.w3c.dom.NodeList nodeset()
                                 throws org.xml.sax.SAXException,
                                        javax.xml.transform.TransformerException

  Deprecated.
  Cast result object to a nodelist.

### mutableNodeset

    public org.w3c.dom.NodeList mutableNodeset()
                                        throws org.xml.sax.SAXException,
                                               javax.xml.transform.TransformerException

  Deprecated.
  Cast result object to a nodelist.

### castToType

    public java.lang.Object castToType(int t,
                                       XPathSupport support)
                                throws org.xml.sax.SAXException,
                                       javax.xml.transform.TransformerException

  Deprecated.
  Cast object to type t.

### lessThan

    public boolean lessThan(XObject obj2)
                     throws org.xml.sax.SAXException,
                            javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is less than the other.

### lessThanOrEqual

    public boolean lessThanOrEqual(XObject obj2)
                            throws org.xml.sax.SAXException,
                                   javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is less than or equal to the other.

### greaterThan

    public boolean greaterThan(XObject obj2)
                        throws org.xml.sax.SAXException,
                               javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is less than the other.

### greaterThanOrEqual

    public boolean greaterThanOrEqual(XObject obj2)
                               throws org.xml.sax.SAXException,
                                      javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is less than the other.

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Deprecated.
  Tell if two objects are functionally equal.

### notEquals

    public boolean notEquals(XObject obj2)
                      throws org.xml.sax.SAXException,
                             javax.xml.transform.TransformerException

  Deprecated.
  Tell if two objects are functionally not equal.

### error

    protected void error(int msg)
                  throws org.xml.sax.SAXException,
                         javax.xml.transform.TransformerException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

### error

    protected void error(int msg,
                         java.lang.Object[] args)
                  throws org.xml.sax.SAXException,
                         javax.xml.transform.TransformerException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference